# Generated by Django 5.0.3 on 2025-05-19 00:37

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=3, unique=True)),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'verbose_name': 'País',
                'verbose_name_plural': 'Países',
            },
        ),
        migrations.CreateModel(
            name='GeoScenario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Nombre del escenario geográfico base', max_length=255)),
                ('upload_date', models.DateTimeField(auto_now_add=True)),
                ('geographic_field_name', models.CharField(help_text='Columna con el identificador geográfico (ej. N_URBANO, PUEBLO)', max_length=100)),
                ('csv_file', models.FileField(upload_to='geo_scenarios/')),
                ('country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='apps.country')),
            ],
            options={
                'verbose_name': 'Escenario Geográfico',
                'verbose_name_plural': 'Escenarios Geográficos',
            },
        ),
        migrations.CreateModel(
            name='OptScenario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Nombre del escenario de optimización', max_length=255)),
                ('type_of_waste', models.CharField(help_text='Tipo de residuo (ej. orgánico, reciclable)', max_length=100)),
                ('strategy', models.CharField(help_text='Método de optimización utilizado', max_length=100)),
                ('upload_date', models.DateTimeField(auto_now_add=True)),
                ('optimized_csv', models.FileField(upload_to='opt_scenarios/')),
                ('geo_scenario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='opt_scenarios', to='apps.geoscenario')),
            ],
            options={
                'verbose_name': 'Escenario de Optimización',
                'verbose_name_plural': 'Escenarios de Optimización',
            },
        ),
    ]
