from django.urls import path
from pxy_dashboard.components.views import (
    accordions_view,
    alerts_view,
    avatars_view,
    badges_view,
    breadcrumb_view,
    buttons_view,
    cards_view,
    carousel_view,
    collapse_view,
    dropdowns_view,
    embed_video_view,
    grid_view,
    links_view,
    list_group_view,
    modals_view,
    notifications_view,
    offcanvas_view,
    placeholders_view,
    pagination_view,
    popovers_view,
    progress_view,
    spinners_view,
    tabs_view,
    tooltips_view,
    typography_view,
    utilities_view,
    extended_dragula_view,
    extended_range_slider_view,
    extended_ratings_view,
    extended_scrollbar_view,
    extended_scrollspy_view,
    widgets_view,
    icons_remixicons_view,
    icons_bootstrap_view,
    icons_material_view,
    apex_area_view,
    apex_bar_view,
    apex_bubble_view,
    apex_candlestick_view,
    apex_column_view,
    apex_heatmap_view,
    apex_line_view,
    apex_mixed_view,
    apex_timeline_view,
    apex_boxplot_view,
    apex_treemap_view,
    apex_pie_view,
    apex_radar_view,
    apex_radialbar_view,
    apex_scatter_view,
    apex_polar_area_view,
    apex_sparklines_view,
    chartjs_area_view,
    chartjs_bar_view,
    chartjs_line_view,
    chartjs_other_view,
    form_elements_view,
    form_advanced_view,
    form_wizard_view,
    form_fileuploads_view,
    form_editors_view,
    tables_basic_view,
    tables_datatable_view,
    google_map_view,
    vector_map_view,
    form_validation_view,
)

urlpatterns = [
    # Base Ui
    path("accordions", view=accordions_view, name="accordions"),
    path("alerts", view=alerts_view, name="alerts"),
    path("avatars", view=avatars_view, name="avatars"),
    path("badges", view=badges_view, name="badges"),
    path("breadcrumb", view=breadcrumb_view, name="breadcrumb"),
    path("buttons", view=buttons_view, name="buttons"),
    path("cards", view=cards_view, name="cards"),
    path("carousel", view=carousel_view, name="carousel"),
    path("collapse", view=collapse_view, name="collapse"),
    path("dropdowns", view=dropdowns_view, name="dropdowns"),
    path("embed-video", view=embed_video_view, name="embed-video"),
    path("grid", view=grid_view, name="grid"),
    path("links", view=links_view, name="links"),
    path("list-group", view=list_group_view, name="list-group"),
    path("modals", view=modals_view, name="modals"),
    path("notifications", view=notifications_view, name="notifications"),
    path("offcanvas", view=offcanvas_view, name="offcanvas"),
    path("placeholders", view=placeholders_view, name="placeholders"),
    path("pagination", view=pagination_view, name="pagination"),
    path("popovers", view=popovers_view, name="popovers"),
    path("progress", view=progress_view, name="progress"),
    path("spinners", view=spinners_view, name="spinners"),
    path("tabs", view=tabs_view, name="tabs"),
    path("tooltips", view=tooltips_view, name="tooltips"),
    path("typography", view=typography_view, name="typography"),
    path("utilities", view=utilities_view, name="utilities"),


    # Extended Ui
    path("extended-dragula", view=extended_dragula_view, name="extended-dragula"),
    path(
        "extended-range-slider",
        view=extended_range_slider_view,
        name="extended-range-slider",
    ),
    path("extended-ratings", view=extended_ratings_view, name="extended-ratings"),
    path("extended-scrollbar", view=extended_scrollbar_view, name="extended-scrollbar"),
    path("extended-scrollspy", view=extended_scrollspy_view, name="extended-scrollspy"),


    # Widgets
    path("widgets", view=widgets_view, name="widgets"),


    # Icons
    path("icons-remixicons", view=icons_remixicons_view, name="icons-remixicons"),
    path("icons-bootstrap", view=icons_bootstrap_view, name="icons-bootstrap"),
    path("icons-material-symbol", view=icons_material_view, name="icons-material"),


    # Charts
    # Apex
    path("apex-area", view=apex_area_view, name="apex-area"),
    path("apex-bar", view=apex_bar_view, name="apex-bar"),
    path("apex-bubble", view=apex_bubble_view, name="apex-bubble"),
    path("apex-candlestick", view=apex_candlestick_view, name="apex-candlestick"),
    path("apex-column", view=apex_column_view, name="apex-column"),
    path("apex-heatmap", view=apex_heatmap_view, name="apex-heatmap"),
    path("apex-line", view=apex_line_view, name="apex-line"),
    path("apex-mixed", view=apex_mixed_view, name="apex-mixed"),
    path("apex-timeline", view=apex_timeline_view, name="apex-timeline"),
    path("apex-boxplot", view=apex_boxplot_view, name="apex-boxplot"),
    path("apex-treemap", view=apex_treemap_view, name="apex-treemap"),
    path("apex-pie", view=apex_pie_view, name="apex-pie"),
    path("apex-radar", view=apex_radar_view, name="apex-radar"),
    path("apex-radialbar", view=apex_radialbar_view, name="apex-radialbar"),
    path("apex-scatter", view=apex_scatter_view, name="apex-scatter"),
    path("apex-polar-area", view=apex_polar_area_view, name="apex-polar-area"),
    path("apex-sparklines", view=apex_sparklines_view, name="apex-sparklines"),
    # ChartJs
    path("chartjs-area", view=chartjs_area_view, name="chartjs-area"),
    path("chartjs-bar", view=chartjs_bar_view, name="chartjs-bar"),
    path("chartjs-line", view=chartjs_line_view, name="chartjs-line"),
    path("chartjs-other", view=chartjs_other_view, name="chartjs-other"),


    # Forms
    path("form-elements", view=form_elements_view, name="form-elements"),
    path("form-advanced", view=form_advanced_view, name="form-advanced"),
    path("form-validation", view=form_validation_view, name="form-validation"),
    path("form-wizard", view=form_wizard_view, name="form-wizard"),
    path("form-fileuploads", view=form_fileuploads_view, name="form-fileuploads"),
    path("form-editors", view=form_editors_view, name="form-editors"),


    # Tables
    path("tables-basic", view=tables_basic_view, name="tables-basic"),
    path("tables-datatable", view=tables_datatable_view, name="tables-datatable"),

    
    # Maps
    path("google-map", view=google_map_view, name="google-map"),
    path("vector-map", view=vector_map_view, name="vector-map"),
]
